## §1. Linear oder nicht? ##

In folgenden Aufgaben wird eine Funktion φ : ℝ³ ⟶ ℝ² definiert.
Bestimme in jedem Falle, ob φ linear ist.

a)

    φ(x1, x2, x3) = ( 4·x1·x3 )
                    ( 10·x2   )

Wenn φ linear wäre, dann müsste φ(2, 0, 2) = 2·φ(1, 0, 1) gelten.
Aber:

    φ(2, 0, 2)   = (16, 0)ᵀ
    2·φ(1, 0, 1) = 2·(4, 0)ᵀ = (8, 0)ᵀ ≠  φ(2, 0, 2)

Also ist φ nicht linear, weil Homogenität verletzt wird.

b)

    φ(x1, x2, x3) = ( x3² )
                    (  0   )

Wenn φ linear wäre, dann müsste φ(0, 0, 8) = 8·φ(0, 0, 1) gelten.
Aber:

    φ(0, 0, 8)   = (64, 0)ᵀ
    8·φ(0, 0, 1) = 8·(1, 0)ᵀ = (8, 0)ᵀ ≠ φ(0, 0, 8)

Also ist φ nicht linear, weil Homogenität verletzt wird.

c)

    φ(x1, x2, x3) = ( x3 )
                    (  0 )

--> linear

d)

    φ(x1, x2, x3) = ( 0 )
                    ( 0 )

--> linear

e)

    φ(x1, x2, x3) = ( 4  )
                    ( 0  )

Wenn φ linear wäre, dann müsste φ(0) = 0 gelten. [Siehe Lemma 6.1.2]
Aber φ ist hier niemals der Nullvektor!
Also ist φ nicht linear.

f)

    φ(x1, x2, x3) = ( 10·x3     )
                    (  -x2 + x1 )

linear!

g)

    φ(x1, x2, x3) = ( 1 - 10·x3 )
                    (  -x2 + x1 )

Wenn φ linear wäre, dann müsste φ(0) = 0 gelten. [Siehe Lemma 6.1.2]
Aber φ(0) = (1, 0)ᵀ.
Also ist φ nicht linear.

h)

    φ(x1, x2, x3) = ( exp(-(7·x2 + 8·x1)) )
                    ( 0                   )

Wenn φ linear wäre, dann müsste φ(0) = 0 gelten. [Siehe Lemma 6.1.2]
Aber φ(0) = (exp(0), 0)ᵀ = (1, 0)ᵀ.
Also ist φ nicht linear.

## §2. Aufgaben ähnlich zu ÜB 10-2 ##

Seien A = (u1, u2, u3) und B = (v1, v2),
wobei

    u1 = (3,  0, 1)ᵀ
    u2 = (0, -1, 0)ᵀ
    u3 = (4,  0, 0)ᵀ

    v1 = (4, 5)ᵀ
    v2 = (0, 1)ᵀ

Beachte:

- A bildet eine Basis für ℝ³
- B bildet eine Basis für ℝ²

Sei nun φ : ℝ³ ⟶ ℝ² definiert durch

    φ(x1, x2, x3) = ( 4·x1 - x3  )
                    ( 10·x2 + x1 )

### Zur Linearität ###
Seien

    (x1,x2,x3), (x1',x2',x3') ∈ ℝ³
    c, c' ∈ ℝ

**Zu zeigen:**
    φ(c(x1, x2, x3) +c'(x1',x2',x3')) = c·φ(x1, x2, x3) +c'·φ(x1',x2',x3')

Es gilt

    l. S. = φ(c(x1, x2, x3) +c'(x1',x2',x3'))
          = φ(c(x1·e1 + x2·e2 + x3·e3) +c'(x1'·e1 + x2'·e2 + x3'·e3))
          = φ((c·x1 + c'·x1)·e1 + (c·x2 + c'·x2)·e2 + (c·x3 + c'·x3)·e3)
          = φ(c·x1 + c'·x1', c·x2 + c'·x2', c·x3 + c'·x3')

          = ( 4·(c·x1 + c'·x1') - (c·x3 + c'·x3')  )
            ( 10·(c·x2 + c'·x2') + (c·x1 + c'·x1') )

          = ( c·(4·x1 - x3)  + c'·(4·x1' - x3')  )
            ( c·(10·x2 + x1) + c'·(10·x2' + x1') )

          = c·( 4·x1 - x3  ) + c'·( 4·x1' - x3' )
              ( 10·x2 + x1 )      ( 10·x2' + x1' )

          = r. S.

Darum ist φ linear.

### Darstellung ###
Zunächst beobachten wir:

    φ(x1, x2, x3) = ( 4   0   -1 ) ( x1 )
                    ( 1   10   0 ) ( x2 )
                                   ( x3 )
                  = C·x
                  = φ_C(x)   siehe [Skript, Bsp 6.2.2],

wobei C die Matrix

    C = ( 4   0   -1 )
        ( 1   10   0 )

ist.

**Bemerkung.** Den vorherigen Teil konnten wir hiermit viel einfacher machen:
Da φ_C linear ist (siehe [Skript, Bsp 6.2.2]), ist φ = φ_C linear.

_Zurück zur Berechnung der Darstellung..._

Die zu berechnende Matrix M := M_A^B(φ), ist diejenige, die erfüllt:

- ist x der Form x = ∑ α_j·u_j = (α_j) <--- als Vektor über Basis A
- und ist M·(α_j) = (β_i) für einen Vektor (β_i) ∈ ℝ²
- dann gilt φ(x) = y, wobei y = ∑ β_i·v_i

Zusammengefasst ist M genau die Matrix, für die gilt:

    B·M·α = φ(A·α)

für alle α ∈ ℝ³. Da φ = φ_C, ist die äquivalent zu

    B·M·α = C·A·α

Kurzgesagt: M_A^B(φ) = B^-1 · C · A.
Um dies zu bestimmen, wenden wir das Gaußverfahren
auf folgendes augmentiertes System an

    ( B | C·A )

und reduzieren die linke Hälfte auf die Identitätsmatrix.
Die resultierende Matrix in der rechten Hälfte wir dann M sein.
Es gilt

    C·A = ( 4   0   -1 ) (3   0   4)
          ( 1   10   0 ) (0  -1   0)
                         (1   0   0)
        = ( 11    0   16 )
          (  3  -10    4 )

Also ist das augmentiere System

    ( B | C·A )

     = ( 4    0  |  11    0   16 )
       ( 5    1  |   3  -10    4 )
       Zeile2 <- 4*Zeile2 - 5*Zeile1

    ~> ( 4    0  |   11    0   16 )
       ( 0    4  |  -43  -40  -64 )
       Zeile1 <- Zeile1 : 4
       Zeile2 <- Zeile2 : 4

    ~> ( 1    0  |   11/4    0    4 )
       ( 0    1  |  -43/4  -10  -16 )

Darum gilt

    M_A^B(φ) = (  11/4    0    4 )
               ( -43/4  -10  -16 )



## §3. Lineare Fortsetzung von partiell definierten Funktionen ##

Sei φ : ℝ^5 ⟶ ℝ³


Seien u1, u2, u3, u4, u5 eine Basis für ℝ^5.
Definiert werden

    φ(u1) = v1, φ(u2) = v2, φ(u4) = v3

**Aufgabe:** Gibt es eine lineare Abbildung, die die o. s. Gleichungen erfüllen?

**Antwort:** Ja.

**Beweis:**
Setze
        φ(u3) := 0 (Nullvektor)
        φ(u5) := 0 (Nullvektor)

Da u1, u2, u3, u4, u5 eine Basis ist,
können wir für belieges x ∈ ℝ^5

    φ(x) = ∑ c_i · φ(ui)

wobei c_1, c_2, .... die eindeutigen Werte im Körper ℝ sind,
so dass

    x = ∑ c_i · ui

gilt.
Dann ist φ linear (zeige die Axiome!!).
**QED**
